# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.85.0"
name = "cdk-npubcash"
version = "0.15.1"
authors = ["CDK Developers"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CDK npubcash sdk"
homepage = "https://github.com/cashubtc/cdk"
readme = "README.md"
license = "MIT"
repository = "https://github.com/cashubtc/cdk.git"

[lib]
name = "cdk_npubcash"
path = "src/lib.rs"

[[example]]
name = "basic_usage"
path = "examples/basic_usage.rs"

[[example]]
name = "create_and_wait_payment"
path = "examples/create_and_wait_payment.rs"

[[example]]
name = "manage_settings"
path = "examples/manage_settings.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.22"

[dependencies.cashu]
version = "=0.15.1"
default-features = false

[dependencies.cdk-common]
version = "=0.15.1"
features = [
    "wallet",
    "http",
]
default-features = false

[dependencies.cdk-http-client]
version = "=0.15.1"

[dependencies.nostr-sdk]
version = "0.44.1"
features = [
    "nip04",
    "nip44",
    "nip59",
]
default-features = false

[dependencies.serde]
version = "1"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
    "test-util",
    "sync",
    "full",
]
default-features = false

[dependencies.tracing]
version = "0.1"
features = [
    "attributes",
    "log",
]
default-features = false

[dependencies.url]
version = "2.3"

[dev-dependencies.chrono]
version = "0.4"

[dev-dependencies.rustls]
version = "0.23.27"
features = ["ring"]
default-features = false

[dev-dependencies.tokio]
version = "1"
features = [
    "rt",
    "macros",
    "test-util",
    "sync",
    "test-util",
]
default-features = false

[dev-dependencies.tracing-subscriber]
version = "0.3.18"
features = ["env-filter"]

[lints.clippy]
large_enum_variant = "warn"
missing_panics_doc = "warn"
missing_safety_doc = "warn"
unwrap_used = "deny"
use_debug = "warn"

[lints.rust]
missing_debug_implementations = "warn"
missing_docs = "warn"
unsafe_code = "forbid"

[lints.rustdoc]
bare_urls = "warn"
